Home > Is Missing > Ruby Gem Libxml2 Is Missing

Ruby Gem Libxml2 Is Missing

Contents

Check the mkmf.log file for more details. Please locate mkmf.log to investigate how it is failing. *** extconf.rb failed *** Could not create Makefile due to some reason, probably lack of necessary libraries and/or headers. Context: I just set up a brand new El Capitan machine, and I installed homebrew 0.9.5 and XCode comandline tools (as the installation tutorial suggests) and Nokogiri 1.6.6.4 installed cleanly the Because it has attracted low-quality or spam answers that had to be removed, posting an answer now requires 10 reputation on this site (the association bonus does not count). http://computerhelpdev.com/is-missing/libxml2-dll-is-missing-vmware.php

You may need configuration options. dwt commented Nov 18, 2014 @EvanTedesco: I'd like to add that it turned out in the end that some homebrew libraries that I had installed and that got linked for some Reload to refresh your session. Please locate mkmf.log to investigate how it is failing. ----- *** extconf.rb failed *** Could not create Makefile due to some reason, probably lack of necessary libraries and/or headers. http://stackoverflow.com/questions/6277456/nokogiri-installation-fails-libxml2-is-missing

Libxml2 Is Missing Mac

You may need configuration options. then you may be runing a buggy version of Rubygems that’s not downloading the appropriate gemfile for your platform (see this thread for background). Is the binomial theorem actually more efficient than just distributing Solving the integral of a function with modulus format block of text Where can I report criminal intent found on the What is the purpose of PostGIS on PostgreSQL?

no checking for xmlParseDoc() in -lxml2... https://gorails.com/setup/osx/10.11-el-capitan Also if you could not find /usr/local/Cellar/libxml2/ existing, you may need to homebrew it. no checking for xmlParseDoc() in -llibxml2... Libxml2 Is Missing Ubuntu Just wanna add one thing: Nokogiri is awesome! 😺 Contributor zenspider commented Feb 25, 2015 @flavorjones please close beltex referenced this issue in realm/jazzy Feb 26, 2015 Closed ERROR: Failed to

jjb commented Jan 23, 2015 just tried 1.6.5, it has the same problem i'm using macports not homebrew (which external dependencies does nokogiri have? Libxml2 Is Missing Windows after an entire morning trying to get nokogiri installed, your answer (specifically with the configuration paths) finally got it working -- rather than the install stating (rather unhelpfully) that libxml2 didn't Written by Martin Say Thanks Respond Filed Under Ruby Development Tips Tools Awesome Job See All Jobs Mobile App Developer (iOS or Android) Edge5 AG · Zurich · Full Time Post http://stackoverflow.com/questions/26878263/libxml2-missing-mac-os-x-10-10 You signed out in another tab or window.

Results logged to /Users/john/.rbenv/versions/2.2.3/lib/ruby/gems/2.2.0/extensions/x86_64-darwin-14/2.2.0-static/nokogiri-1.6.6.2/gem_make.out An error occurred while installing nokogiri (1.6.6.2), and Bundler cannot continue. Libxml2.dll Is Missing Wacom Running 'patch' for libxslt 1.1.28... Running 'patch' for libxslt 1.1.28... OK Running 'install' for libxslt 1.1.28...

Libxml2 Is Missing Windows

Same issues. The answer kinda sucks.... Libxml2 Is Missing Mac Exactly what I needed as well. –Tass Apr 3 '12 at 19:10 7 How can a comment rated this highly sit below the accepted answer? –New Alexandria Aug 26 '12 Libxml2 Is Missing Python Contact GitHub API Training Shop Blog About © 2017 GitHub, Inc.

OK Running 'install' for libxml2 2.9.2... this contact form please reply –Rohit A. Troubleshooting RVM-based Installation Some versions of RVM will install a Ruby binary that requires libgmp. Or it's merely an ordinary mistake? Libxml2 Is Missing Wacom

flavorjones added needs more info osx labels Jan 23, 2015 Member flavorjones commented Jan 23, 2015 Also, are you able to install Nokogiri 1.6.5 on this machine? seekayel commented Sep 22, 2015 FWIW: might be an issue with needing to agree to the XCode CLI ToS. The log won't be in gems, it'll be in extensions (same level): extensions/x86_64-darwin-14/2.2.0-static/nokogiri-1.6.6.2/mkmf.log clementcole commented May 24, 2015 What exactly is nokogiri?? http://computerhelpdev.com/is-missing/is-missing-book.php Running 'patch' for libxslt 1.1.28...

I then ran brew update and then brew install libxml2 and everything seemed to work. Libxml2 Is Missing Centos You may need configuration options. OK Running 'compile' for libxslt 1.1.28...

Here's the log: http://codecascade.com/sIjhQ/raw I had similar issues install nokogiri, and the only way I was able to get it resolved was with gem install nokogiri -- --use-system-libraries I'm on OS

no checking for libiconv_open() in -liconv... Running 'patch' for libxslt 1.1.28... OK Running patch with /Users/john/.rbenv/versions/2.2.3/lib/ruby/gems/2.2.0/gems/nokogiri-1.6.6.2/ports/patches/libxml2/0001-Revert-Missing-initialization-for-the-catalog-module.patch... Nokogiri Libxml2 Is Missing El Capitan Check the mkmf.log file for more details.

The workaround is to edit your .bundle/config file, remove the quotes around the options, and place all the options on a single line. Nuget sources was disabled in sources file of Chocolatey! doing gem install nokogiri -- --use-system-libraries --with-xml2-include=/usr/include/libxml2 --with-xml2-lib=/usr/lib/ made it work itsNikolay commented Feb 17, 2016 (El Captain) I resolved the issue by: bundle update nokogiri Member flavorjones commented Feb 17, Check This Out Headphone symbol when headphones not in use Is the binomial theorem actually more efficient than just distributing Output N in base -10 Is this definition of convergence of a sequence equivalent

OK Activating libxslt 1.1.28 (from /Users/john/.rbenv/versions/2.2.3/lib/ruby/gems/2.2.0/gems/nokogiri-1.6.6.2/ports/x86_64-apple-darwin14.5.0/libxslt/1.1.28)... Thanks. –maurymmarques Jun 2 '16 at 5:07 Corrected, thanks. –jakob.j Jun 3 '16 at 16:49 Or use /usr/include/libxml2 instead of the long /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.‌‌platform/Developer/‌SDKs/MacOSX10.9.sdk/‌usr/include/libxml2. –Franklin Yu Jul 30 Theme: Flat 1.7.6 by Themeisle. OK Running patch with /Users/mariozig/.rvm/gems/ruby-2.2.1/gems/nokogiri-1.6.6.2/ports/patches/libxslt/0001-Adding-doc-update-related-to-1.1.28.patch...

Check the mkmf.log file for more details. Does anyone have a solution? Open a new issue with full information and logs and any additional information you have about how your machine got into its current state. Try: sudo apt-get install libxslt-dev libxml2-dev (I just saw that Eric suggested the same in a comment.) share|improve this answer edited Oct 2 '15 at 17:13 the Tin Man 113k22140210 answered

OK Running patch with /Users/john/.rbenv/versions/2.1.5/lib/ruby/gems/2.1.0/gems/nokogiri-1.6.6.1/ports/patches/libxslt/0004-EXSLT-function-str-replace-is-broken-as-is.patch... Running 'patch' for libxml2 2.9.2... You may need configuration options.